// defines Turret
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_GUARDIAN_TURRET_GSH
#define INCLUDED_GUARDIAN_TURRET_GSH

#include "lasers.gsh"
#include "defaults.gsh"

////////////////////////////////////////////////////////////////////////////////////

hierarchy Hcy_Guardian_Turret
{
	file "units\guardian turret.RIF"
	name "Guardian Turret"
	hotspot "Dum Flash"
}

character Chr_Guardian_Turret : Chr_DefaultBaddie
{
	turning speed   0.12
	walking speed   0	// doesn't move
	weapon          enemy laser
	strength        10	// one shot and it's destroyed
	aim             0	// spot on!
	sight angle	90	// in degrees
	sight range 	15	// in metres
	hearing range	22	// in metres
	aggression	1	// from 0 to 1
}

character Chr_Small_Guardian_Turret : Chr_DefaultBaddie
{
	turning speed   0.12
	walking speed   0	// doesn't move
	weapon          enemy laser
	strength        5	// one shot and it's destroyed
	aim             0	// spot on!
	sight angle		90	// in degrees
	sight range 	13	// in metres
	hearing range	19	// in metres
	aggression		1	// from 0 to 1
	size			0.5	// half size
}

role Rol_Guardian_Turret : Rol_DefaultRobot
{
	shape			Hcy_Guardian_Turret
	character		Chr_Guardian_Turret
	ai				bot
	identifier		"Guardian_Turret"
}

role Rol_Small_Guardian_Turret : Rol_DefaultRobot
{
	shape			Hcy_Guardian_Turret
	character		Chr_Small_Guardian_Turret
	ai				bot
	identifier		"Small_Guardian_Turret"
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_Guardian_TURRET_GSH
